<%--
 This JSP is intended to be included by another JSP that is giving an error
 message.  This JSP will either offer a link for the user to go to the welcome
 page, or offer a button for the user to close the window.  A request parameter
 controls which is done, but the idea is that if Connect.java was processing
 a request with a query parm of "option=closeWindow", this JSP will render a
 button that will close the window, otherwise offer a link.
--%>

<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<fmt:bundle basename="com.ibm.hwmca.fw.servlet.connect.res.connect">

<p>
<c:if test="${not empty closeWindow}">
   <script type="text/javascript">
      function closeButton() {
         window.top.close();
      }

      <%-- Make sure they can see the error message --%>
      window.resizeTo(500, 500);
   </script>

   <input type="button" onclick="closeButton()"
          value="<fmt:message key='closeButtonLabel'/>"
          class="b1" onmouseout="className='b1'"
          onmouseover="className='b2'" />
</c:if>
<c:if test="${empty closeWindow}">
   <a href="/"><fmt:message key="returnToWelcomePage"/></a>
</c:if>
</p>
</fmt:bundle>
